<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FuelConsumption extends Model 
{

    protected $table = 'fuel_consumption';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('creator_id', 'driver_id', 'vehicle_id', 'entered_date', 'current_mileage', 'quantity', 'total_price', 'consumption');

    public function creator()
    {
        return $this->belongsTo('App\User', 'id', 'creator_id');
    }

    public function driver()
    {
        return $this->hasOne('App\User', 'id', 'driver_id');
    }

    public function vehicle()
    {
        return $this->hasOne('App\Models\Vehicle', 'id', 'vehicle_id');
    }

}