<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class VehicleDaily extends Model 
{

    protected $table = 'vehicle_daily';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('location_city', 'inspected_date', 'vehicle_id', 'driver_id', 'inspected_inspector', 'quantity', 'documents', 'tires', 'visual', 'safety_gear', 'protupozarni', 'safety_light', 'first_aid', 'pex', 'notes', 'current_mileage');

    public function driver()
    {
        return $this->belongsTo('App\User', 'driver_id', 'id');
    }

    public function vehicle()
    {
        return $this->belongsTo('App\Models\Vehicle', 'vehicle_id');
    }

    public function inspector()
    {
        return $this->belongsTo('App\User', 'inspected_inspector', 'id');
    }

}